Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-15764

Install agent4.0 from sources for HPUX configure error

    Details

    • Type: Documentation task
    • Status: Need info
    • Priority: Trivial
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Agent (G)
    • Labels:
    • Environment:
       ia64
      B.11.31
      HP - UX
      U
      zabbix:4.0.3
    • Team:
      Team D
    • Sprint:
      Sprint 56 (Sep 2019), Sprint 55 (Aug 2019), Sprint 54 (Jul 2019), Sprint 57 (Oct 2019)

      Description

       

      Steps to reproduce:

      1. upload zabbix4.0.3.tar.gz
      2. gunzip zabbix4.0.3.tar.gz
      3. tar -xvf zabbix4.0.3.tar
      4. cd zabbix4.0.3
      5. ./configure --enable-agent

      error from config.log:

      Configure:12247:checking for libpcre support

      Configure:12311:cc -o conftest -D_HPUX_API_LEVEL=20040821 -g -I/usr/local/include  -L/usr/local/lib  conftest.c -lm -lpcre >&5

      Ld:Can't find library for -lpcre

      #include <pcre.h>
                        pcre * regexp =pcre_compile("test",PCRE_UTF8,&error,&error_offset,NULL);
                        pcre_free(regexp);

      Configure:12340:error:Unable to use libpcre (libpcre check failed)

      Before:
      swinstall pcre-8.42-ia64_64-11.31.depot
      software download from http://hpux.connect.org.uk/hppd/hpux/Languages/pcre-8.42/

        Attachments

          Activity

            People

            • Assignee:
              martins-v Martins Valkovskis
              Reporter:
              112530641 112530641
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: